<?php


/**
* @copyright 2011 - 2013 SVIeSolutions 
*/

class block_via_permanent extends block_list {
	
  function init() {
    $this->title   = get_string('blockstring', 'block_via_permanent');
  }
	
  function get_content() {
  global $CFG, $DB, $USER;
    if ($this->content !== NULL) {
      return $this->content;
    }
	
	$courseid = $this->page->course->id ;
	$userid = $USER->id;
 
    $this->content         =  new stdClass;
    $this->content->items  = array();  
	$this->content->icons  = array();
	
	$sql = "SELECT cm.id, v.name  FROM mdl_via v
		JOIN mdl_course_modules cm ON v.id = cm.instance
		JOIN mdl_modules m ON m.id = cm.module
		WHERE v.activitytype = 2 AND m.name = 'via' AND v.course = $courseid AND cm.course = $courseid AND cm.visible = 1
		ORDER BY v.name DESC";
	$result = $DB->get_records_sql($sql);
		
	if ($result) {
		 foreach ($result as $row) { 	
				$this->content->items[] = '<a href="' . $CFG->wwwroot . '/mod/via/view.php?id=' . $row->id . '" ><img src="' . $CFG->wwwroot . '/mod/via/pix/icon.png" width="20" height="20" alt="" align="absmiddle"/>' . $row->name. '</a>'. '<br />';			
		}
	}  
    return $this->content;
    }
  
    function applicable_formats() {
        return array('all' => true, 'mod' => false, 'my' => false, 'admin' => false,
                     'tag' => false);
    }

}  
									
?>